

/*

 * Copyright (c) 2015 ARM Limited. All rights reserved.

 * SPDX-License-Identifier: Apache-2.0

 * Licensed under the Apache License, Version 2.0 (the License); you may

 * not use this file except in compliance with the License.

 * You may obtain a copy of the License at

 *

 * http://www.apache.org/licenses/LICENSE-2.0

 *

 * Unless required by applicable law or agreed to in writing, software

 * distributed under the License is distributed on an AS IS BASIS, WITHOUT

 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

 * See the License for the specific language governing permissions and

 * limitations under the License.

 */

#ifndef __SECURITY_H__

#define __SECURITY_H__

 

#include <inttypes.h>

 

#define MBED_DOMAIN "5a6da97a-7f55-4e9e-aa2e-a0ef5a5cc1f3"

#define MBED_ENDPOINT_NAME "7a865bf0-f5eb-486a-93f7-8adeb29cdbd4"

 

const uint8_t SERVER_CERT[] = "-----BEGIN CERTIFICATE-----\r\n"

"MIIBmDCCAT6gAwIBAgIEVUCA0jAKBggqhkjOPQQDAjBLMQswCQYDVQQGEwJGSTEN\r\n"

"MAsGA1UEBwwET3VsdTEMMAoGA1UECgwDQVJNMQwwCgYDVQQLDANJb1QxETAPBgNV\r\n"

"BAMMCEFSTSBtYmVkMB4XDTE1MDQyOTA2NTc0OFoXDTE4MDQyOTA2NTc0OFowSzEL\r\n"

"MAkGA1UEBhMCRkkxDTALBgNVBAcMBE91bHUxDDAKBgNVBAoMA0FSTTEMMAoGA1UE\r\n"

"CwwDSW9UMREwDwYDVQQDDAhBUk0gbWJlZDBZMBMGByqGSM49AgEGCCqGSM49AwEH\r\n"

"A0IABLuAyLSk0mA3awgFR5mw2RHth47tRUO44q/RdzFZnLsAsd18Esxd5LCpcT9w\r\n"

"0tvNfBv4xJxGw0wcYrPDDb8/rjujEDAOMAwGA1UdEwQFMAMBAf8wCgYIKoZIzj0E\r\n"

"AwIDSAAwRQIhAPAonEAkwixlJiyYRQQWpXtkMZax+VlEiS201BG0PpAzAiBh2RsD\r\n"

"NxLKWwf4O7D6JasGBYf9+ZLwl0iaRjTjytO+Kw==\r\n"

"-----END CERTIFICATE-----\r\n";

 

const uint8_t CERT[] = "-----BEGIN CERTIFICATE-----\r\n"

"MIIBzzCCAXOgAwIBAgIEMF7OhTAMBggqhkjOPQQDAgUAMDkxCzAJBgNVBAYTAkZ\r\n"

"JMQwwCgYDVQQKDANBUk0xHDAaBgNVBAMME21iZWQtY29ubmVjdG9yLTIwMTgwHh\r\n"

"cNMTcwMzAxMTQ0NDE4WhcNMTgxMjMxMDYwMDAwWjCBoTFSMFAGA1UEAxNJNWE2Z\r\n"

"GE5N2EtN2Y1NS00ZTllLWFhMmUtYTBlZjVhNWNjMWYzLzdhODY1YmYwLWY1ZWIt\r\n"

"NDg2YS05M2Y3LThhZGViMjljZGJkNDEMMAoGA1UECxMDQVJNMRIwEAYDVQQKEwl\r\n"

"tYmVkIHVzZXIxDTALBgNVBAcTBE91bHUxDTALBgNVBAgTBE91bHUxCzAJBgNVBA\r\n"

"YTAkZJMFkwEwYHKoZIzj0CAQYIKoZIzj0DAQcDQgAEaSE6IegQI9X0ugpNRJJl+\r\n"

"fPqQU7tkO6nr/bc2n5mzqIJ/1CYPWcNHmqN4TE4q82DHRX1lEICUgceO7lIb9zR\r\n"

"2TAMBggqhkjOPQQDAgUAA0gAMEUCID05dXJdM96YloecuDF+VUpOYqsl+ud+sg5\r\n"

"qxKAo6fUAAiEA11Jd5ejvmjEUZnRcbSw8cssXodE4M5/9fNaXIqF1B/g=\r\n"

"-----END CERTIFICATE-----\r\n";

 

const uint8_t KEY[] = "-----BEGIN PRIVATE KEY-----\r\n"

"MIGHAgEAMBMGByqGSM49AgEGCCqGSM49AwEHBG0wawIBAQQgsfpaV4V7UFFFsitr\r\n"

"6rA3vqqjzgzti8uUtNZxpDerLCChRANCAARpIToh6BAj1fS6Ck1EkmX58+pBTu2Q\r\n"

"7qev9tzafmbOogn/UJg9Zw0eao3hMTirzYMdFfWUQgJSBx47uUhv3NHZ\r\n"

"-----END PRIVATE KEY-----\r\n";

 

#endif //__SECURITY_H__
